Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors
Class ENLOCErrorParamTranslate

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.ENLOCErrorParamTranslate

All Implemented Interfaces:
  IErrorParamTranslate

    public class ENLOCErrorParamTranslate

extends java.lang.Object
implements IErrorParamTranslate

Clase que traduce los errores de ENLOC. Se encarga de buscar todos los valores posibles en los mapas de ENLOC y añadir los identificadores obtenidos entre paréntesis al lado de los parámetros traducidos.
Por ejemplo, si un parámetro contiene UnidadesTupla, el resultado sería UnidadesTupla(0900000)
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ENLOCErrorParamTranslate(java.lang.String reportID)` Constructor

Method Summary
`java.lang.String` | `getENLOCCode(java.lang.String param)` Dado un parámetro, en caso de que contenga un nombre de fact XBRL, devuelve su código ENLOC.
`java.lang.String` | `translate(java.lang.String param)` Dado un parámetro, traduce el error y devuelve su traducción.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorParamTranslate

    public ENLOCErrorParamTranslate(java.lang.String reportID)

  Constructor

  Parameters:
    `reportID` - Identificador de report

Method Detail

### translate

    public java.lang.String translate(java.lang.String param)

  Description copied from interface: `IErrorParamTranslate`
  Dado un parámetro, traduce el error y devuelve su traducción.

  Specified by:
    `translate` in interface `IErrorParamTranslate`
  Parameters:
    `param` - parámetro a traducir
  Returns:
    resultado de la traducción

### getENLOCCode

    public java.lang.String getENLOCCode(java.lang.String param)

  Description copied from interface: `IErrorParamTranslate`
  Dado un parámetro, en caso de que contenga un nombre de fact XBRL, devuelve su código ENLOC.

  Specified by:
    `getENLOCCode` in interface `IErrorParamTranslate`
  Parameters:
    `param` - parámetro a traducir
  Returns:
    Codigo ENLOC resultado

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD